# phpMyAdmin SQL Dump
# version 2.6.0-pl2
# http://www.phpmyadmin.net
# 
# Servidor: localhost
# Tempo de Generao: Nov 02, 2004 at 04:42 PM
# Verso do Servidor: 4.0.15
# Verso do PHP: 4.3.6
# 
# Banco de Dados: `sysleg`
# 

# ############################

# 
# Estrutura da tabela `declaracao`
# 

CREATE TABLE `declaracao` (
  `cod_dec` int(11) NOT NULL auto_increment,
  `texto_afirm_dec` mediumtext NOT NULL,
  `texto_neg_dec` mediumtext NOT NULL,
  `pergunta_dec` enum('S','N') NOT NULL default 'S',
  PRIMARY KEY  (`cod_dec`)
) TYPE=InnoDB;

# ############################

# 
# Estrutura da tabela `declaracao_palavra_chave`
# 

CREATE TABLE `declaracao_palavra_chave` (
  `cod_dec_dcpa` int(11) NOT NULL default '0',
  `cod_cha_dcpa` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`cod_dec_dcpa`,`cod_cha_dcpa`),
  KEY `chave` (`cod_cha_dcpa`,`cod_dec_dcpa`)
) TYPE=InnoDB;

# ############################

# 
# Estrutura da tabela `elemento`
# 

CREATE TABLE `elemento` (
  `num_elem` int(11) unsigned NOT NULL auto_increment,
  `sigla_org_res_elem` varchar(10) NOT NULL default '',
  `num_res_elem` int(11) unsigned NOT NULL default '0',
  `ano_res_elem` int(4) NOT NULL default '0',
  `num_tit_elem` int(10) unsigned NOT NULL default '0',
  `num_cap_elem` int(10) unsigned NOT NULL default '0',
  `num_ses_elem` int(10) unsigned NOT NULL default '0',
  `num_sub_elem` int(10) unsigned NOT NULL default '0',
  `num_art_elem` int(10) unsigned NOT NULL default '0',
  `num_par_elem` int(10) unsigned NOT NULL default '0',
  `num_inc_elem` int(10) unsigned NOT NULL default '0',
  `num_ali_elem` int(10) unsigned NOT NULL default '0',
  `num_itm_elem` int(10) unsigned NOT NULL default '0',
  `status_elem` tinyint(3) unsigned NOT NULL default '0',
  `texto_elem` text NOT NULL,
  PRIMARY KEY  (`num_elem`),
  UNIQUE KEY `item_unique` (`sigla_org_res_elem`,`num_res_elem`,`ano_res_elem`,`num_tit_elem`,`num_cap_elem`,`num_ses_elem`,`num_sub_elem`,`num_art_elem`,`num_par_elem`,`num_inc_elem`,`num_ali_elem`,`num_itm_elem`),
  KEY `resolucao` (`sigla_org_res_elem`,`num_res_elem`,`ano_res_elem`),
  KEY `num_elem` (`num_elem`),
  KEY `elemento` (`sigla_org_res_elem`,`num_res_elem`,`ano_res_elem`,`num_tit_elem`,`num_cap_elem`,`num_ses_elem`,`num_sub_elem`,`num_art_elem`,`num_par_elem`,`num_inc_elem`,`num_ali_elem`,`num_itm_elem`)
) TYPE=InnoDB;

# ############################

# 
# Estrutura da tabela `elemento_regra`
# 

CREATE TABLE `elemento_regra` (
  `num_elem_elrg` int(11) unsigned NOT NULL default '0',
  `cod_reg_elrg` int(11) NOT NULL default '0',
  PRIMARY KEY  (`num_elem_elrg`,`cod_reg_elrg`),
  KEY `regra` (`cod_reg_elrg`,`num_elem_elrg`)
) TYPE=InnoDB;

# ############################

# 
# Estrutura da tabela `ignorar`
# 

CREATE TABLE `ignorar` (
  `palavra_ig` char(25) NOT NULL default '',
  PRIMARY KEY  (`palavra_ig`)
) TYPE=InnoDB;

# ############################

# 
# Estrutura da tabela `ocorrencia_entao`
# 

CREATE TABLE `ocorrencia_entao` (
  `cod_reg_entao` int(11) NOT NULL default '0',
  `cod_dec_entao` int(11) NOT NULL default '0',
  PRIMARY KEY  (`cod_reg_entao`,`cod_dec_entao`),
  KEY `declaracao` (`cod_dec_entao`,`cod_reg_entao`)
) TYPE=InnoDB;

# ############################

# 
# Estrutura da tabela `ocorrencia_se`
# 

CREATE TABLE `ocorrencia_se` (
  `cod_reg_se` int(11) NOT NULL default '0',
  `cod_dec_se` int(11) NOT NULL default '0',
  PRIMARY KEY  (`cod_reg_se`,`cod_dec_se`),
  KEY `declaracao` (`cod_dec_se`,`cod_reg_se`)
) TYPE=InnoDB;

# ############################

# 
# Estrutura da tabela `orgao`
# 

CREATE TABLE `orgao` (
  `sigla_org` char(10) NOT NULL default '',
  `nome_org` char(60) NOT NULL default '',
  PRIMARY KEY  (`sigla_org`)
) TYPE=InnoDB;

# ############################

# 
# Estrutura da tabela `palavra_chave`
# 

CREATE TABLE `palavra_chave` (
  `cod_cha` int(10) unsigned NOT NULL auto_increment,
  `palavra_cha` varchar(35) NOT NULL default '',
  PRIMARY KEY  (`cod_cha`),
  UNIQUE KEY `palavra` (`palavra_cha`)
) TYPE=InnoDB;

# ############################

# 
# Estrutura da tabela `regra`
# 

CREATE TABLE `regra` (
  `cod_reg` int(11) NOT NULL auto_increment,
  `exp_se_reg` char(255) NOT NULL default '',
  `exp_entao_reg` char(255) NOT NULL default '',
  `prioridade_reg` int(11) default NULL,
  PRIMARY KEY  (`cod_reg`)
) TYPE=InnoDB;

# ############################

# 
# Estrutura da tabela `resolucao`
# 

CREATE TABLE `resolucao` (
  `sigla_org_res` varchar(10) NOT NULL default '',
  `num_res` int(11) unsigned NOT NULL default '0',
  `ano_res` int(4) NOT NULL default '0',
  `finalidade_res` text NOT NULL,
  `parag_intro_res` text NOT NULL,
  `data_res` date NOT NULL default '0000-00-00',
  `assinado_por_res` varchar(40) NOT NULL default '',
  PRIMARY KEY  (`sigla_org_res`,`num_res`,`ano_res`)
) TYPE=InnoDB;

# ############################

# 
# Estrutura da tabela `sinonimo`
# 

CREATE TABLE `sinonimo` (
  `cod_cha_sin` int(10) unsigned NOT NULL default '0',
  `cod_cha_sinonimo_sin` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`cod_cha_sin`,`cod_cha_sinonimo_sin`),
  KEY `sinonimo` (`cod_cha_sinonimo_sin`)
) TYPE=InnoDB;

# 
# Constraints for dumped tables
# 

# 
# Constraints for table `declaracao_palavra_chave`
# 
ALTER TABLE `declaracao_palavra_chave`
  ADD CONSTRAINT `0_299` FOREIGN KEY (`cod_cha_dcpa`) REFERENCES `palavra_chave` (`cod_cha`) ON UPDATE CASCADE,
  ADD CONSTRAINT `0_296` FOREIGN KEY (`cod_dec_dcpa`) REFERENCES `declaracao` (`cod_dec`) ON UPDATE CASCADE;

# 
# Constraints for table `elemento`
# 
ALTER TABLE `elemento`
  ADD CONSTRAINT `0_243` FOREIGN KEY (`sigla_org_res_elem`, `num_res_elem`, `ano_res_elem`) REFERENCES `resolucao` (`sigla_org_res`, `num_res`, `ano_res`) ON UPDATE CASCADE;

# 
# Constraints for table `elemento_regra`
# 
ALTER TABLE `elemento_regra`
  ADD CONSTRAINT `0_245` FOREIGN KEY (`cod_reg_elrg`) REFERENCES `regra` (`cod_reg`) ON UPDATE CASCADE,
  ADD CONSTRAINT `0_246` FOREIGN KEY (`num_elem_elrg`) REFERENCES `elemento` (`num_elem`) ON UPDATE CASCADE;

# 
# Constraints for table `ocorrencia_entao`
# 
ALTER TABLE `ocorrencia_entao`
  ADD CONSTRAINT `0_251` FOREIGN KEY (`cod_dec_entao`) REFERENCES `declaracao` (`cod_dec`) ON UPDATE CASCADE,
  ADD CONSTRAINT `0_252` FOREIGN KEY (`cod_reg_entao`) REFERENCES `regra` (`cod_reg`) ON UPDATE CASCADE;

# 
# Constraints for table `ocorrencia_se`
# 
ALTER TABLE `ocorrencia_se`
  ADD CONSTRAINT `0_248` FOREIGN KEY (`cod_dec_se`) REFERENCES `declaracao` (`cod_dec`) ON UPDATE CASCADE,
  ADD CONSTRAINT `0_249` FOREIGN KEY (`cod_reg_se`) REFERENCES `regra` (`cod_reg`) ON UPDATE CASCADE;

# 
# Constraints for table `resolucao`
# 
ALTER TABLE `resolucao`
  ADD CONSTRAINT `0_257` FOREIGN KEY (`sigla_org_res`) REFERENCES `orgao` (`sigla_org`) ON UPDATE CASCADE;

# 
# Constraints for table `sinonimo`
# 
ALTER TABLE `sinonimo`
  ADD CONSTRAINT `0_321` FOREIGN KEY (`cod_cha_sinonimo_sin`) REFERENCES `palavra_chave` (`cod_cha`) ON UPDATE CASCADE,
  ADD CONSTRAINT `0_318` FOREIGN KEY (`cod_cha_sin`) REFERENCES `palavra_chave` (`cod_cha`) ON UPDATE CASCADE;
        
